# Remove owned package from catalog

DELETE /api/agent/mini-apps/{packageId}. Required scopes: apps:write.

HTML: https://notify.belweave.tech/docs/api/deleteMiniAppsPackageId

Required scopes: `apps:write`

```http
DELETE /api/agent/mini-apps/{packageId}
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "Remove owned package from catalog",
  "operationId": "deleteMiniAppsPackageId",
  "security": [
    {
      "bearer": [
        "apps:write"
      ]
    }
  ],
  "x-notify-scopes": [
    "apps:write"
  ],
  "parameters": [
    {
      "name": "packageId",
      "in": "path",
      "schema": {
        "type": "string"
      },
      "required": true
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "reason": {
              "type": "string",
              "minLength": 1,
              "maxLength": 500
            }
          },
          "required": [
            "reason"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "package": {
                "$ref": "#/components/schemas/MiniAppPackage"
              }
            },
            "required": [
              "package"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
